/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * Bickley - a meta data management framework.
 * Copyright © 2008, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef __KOZO_INDEX_PRIVATE_H__
#define __KOZO_INDEX_PRIVATE_H__

#include <stdlib.h>
#include <signal.h>

#include <glib.h>
#include <tdb.h>

#include "kozo-index.h"
#include "kozo-db.h"

KozoIndex *kozo_index_get       (KozoDB    *db,
                                 GSList    *field_ids,
                                 GError   **error);

TDB_CONTEXT *kozo_index_get_index (KozoIndex *index);

KozoDB    *kozo_index_get_db    (KozoIndex *index);

void       kozo_index_init      (void);
void       kozo_index_shutdown  (void);

#endif /* __KOZO_INDEX_PRIVATE_H__ */
