/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * Bickley - a meta data management framework.
 * Copyright © 2008, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef __KOZO_INDEX_H__
#define __KOZO_INDEX_H__

#include <glib.h>

#include "kozo-query.h"

#define KOZO_FIELD_INDEX_KEY -2

typedef struct _KozoIndex KozoIndex;

KozoIndex    *kozo_index_ref           (KozoIndex    *index);
void          kozo_index_unref         (KozoIndex    *index);

const GSList *kozo_index_get_field_ids (KozoIndex    *index);

KozoEntry    *kozo_index_lookup        (KozoIndex    *index,
                                        const guint8 *key,
                                        guint32       key_length,
                                        GSList       *field_ids,
                                        GError      **error);

KozoQuery    *kozo_index_new_query     (KozoIndex    *index);


#endif /* __KOZO_INDEX_H__ */
