#ifndef __BKL_SOURCE_H__
#define __BKL_SOURCE_H__

#include <kozo.h>
#include <bickley/bkl-item.h>

G_BEGIN_DECLS

typedef struct _BklSource BklSource;
struct _BklSource {
    KozoDB *db;
    char *name;

    gboolean (*do_work) (BklSource *source);
    void (*investigate_files) (BklSource *source,
                               GPtrArray *files);
    gboolean (*add_item) (BklSource  *source,
                          const char *uri,
                          BklItem    *item,
                          GError    **error);
    void (*destroy) (BklSource *source);
};

gboolean bkl_source_do_work (BklSource *source);
void bkl_source_investigate_files (BklSource *source,
                                   GPtrArray *files);
gboolean bkl_source_add_item (BklSource  *source,
                              const char *uri,
                              BklItem    *item,
                              GError    **error);
void bkl_source_destroy (BklSource *source);

G_END_DECLS

#endif
